function res = analyze_Murd62(data)
% ANALYZE_MURD62
%  res = analyze_Murd62(data);
%
% depends on behavioral_toolbox_release1

LL = [20 30 40];
res = struct();

% analyze for each list length
for i=1:length(data.LL)
  
  nSubj = length(unique(data.LL(i).subject));
  listLength = LL(i);
  
  
  res.LL(i).sp = spc(data.LL(i).recalls, data.LL(i).subject, ...
                listLength);
end


% PLOT
% pad lower list lengths with NaNs
sp_plot = {[res.LL(1).sp NaN(1,20)] ...
           [res.LL(2).sp NaN(1,10)] ...
           [res.LL(3).sp]};
param = struct();
param.title = 'Murdock 1962 SPC';
param.legend = {'LL 20' 'LL 30' 'LL 40' 'Location' 'Northwest'};
param.linetype = {'-' '-' '-'};
param.marker = {'o' '^' 's'};
plot_spc(sp_plot,param);