function [net,env] = init_network(env,param)
% [net,env] = init_network(env,param)
%
% Initialize a CMR network and corresponding environment
% structure. 



% reset the network state
net = create_network(param);

% initialize each context sub-region to a neutral state
% set up indices for the first presented item
env.present_index(logical(param.init_orthogonal_index)) = ...
    param.first_distraction_index(logical(param.init_orthogonal_index));
env.present_index(~param.init_orthogonal_index) = ...
    env.init_index(~param.init_orthogonal_index);

[net, env] = present_distraction(net, env, ... 
				 ones(1,param.subregions), ...
				 ones(1,param.subregions), ...
				 param);

env.present_distraction_index(logical(param.init_orthogonal_index)) = ...
    env.present_distraction_index(logical(param.init_orthogonal_index)) + 1;

env.present_index = ones(1,param.subregions);

if any(param.has_semantic_structure)
  [net, env] = create_semantic_structure(net, env, param);
end

