function [net,env] = reactivate_item(net, env, param)
%   REACTIVATE_ITEM
%
%   The reactivation of an item during a recall period.
%
%
%   INPUTS:
%
%       net
%       env
%     param
%
%

if ~isfield(param,'c_in_norm')
  for i=1:param.subregions
    param.c_in_norm(i) = 1;
  end
end


% ACTIVATE FEATURES % 

net.f = zeros(size(net.f));

for i=1:length(net.f_sub)
  if env.present_index(i) > 0
    net.f(net.f_sub{i}.idx) = env.patterns{i}(env.present_index(i),:);
  end
end

% UPDATE CONTEXT %
net.c_in = net.w_fc * net.f;
% iterate through the sub-areas of context
for i=1:length(net.c_sub)  
  subregion = i;
  net = param.custom_context_fn{i}(net, subregion, param);
end

% ASSOCIATION FORMATION %

% determine current learning rate
lrate_fc = net.lrate_fc_rec;
lrate_cf = net.lrate_cf_rec;

% weight update
delta = (net.c * net.f') .* lrate_fc;
net.w_fc = net.w_fc + delta;
% w_cf
delta = (net.f * net.c') .* lrate_cf;
net.w_cf = net.w_cf + delta;